Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#93 gpg_strerror on build, typo in ./configure of latest trunk?

CVS version
open
nobody
None
5
2013-12-10
2013-12-10
mbrownnyc
No

There appears to be a problem on line 7168 of the ./configure scripts of 0.15.1.

The code reads:
LIBS="$saveLIBS"

I believe this is incorrect, and possibly a conditional is missing.

When I attempt a build on CentOS 6:
./configure --with-zlib=/usr/include/zlib.h
configure: WARNING: No mhash means no hmac.
checking for gpg_strerror in -lgpg-error... no
configure: error: You need to have libgpg-error.a installed to use libgcrypt.

Is the problem the typo or is it something additional?

Thanks,

Matt

Discussion